<?php
/**
 * This file adds the Front Page to the gigafood Theme.
 *
 * @author XtraPunch.com
 * @package GigaFood
 * @subpackage Customizations
 */

/*
Template Name: FrontPage
*/

add_action( 'genesis_meta', 'gigafood_home_genesis_meta' );
/**
 * Add widget support for homepage. If no widgets active, display the default loop.
 *
 */
function gigafood_home_genesis_meta() {

	if ( is_active_sidebar( 'home-ticker' ) || is_active_sidebar( 'home-tabs' ) || is_active_sidebar( 'home-slider' ) || is_active_sidebar( 'home-top' ) || is_active_sidebar( 'home-left' ) || is_active_sidebar( 'home-right' ) ) {

		// Add custom body class to home page
		add_filter( 'body_class', 'gigafood_add_body_class' );
		function gigafood_add_body_class( $classes ) {
   			$classes[] = 'gigafood-front';
  			return $classes;
		}

		// Remove the default Genesis loop
		remove_action( 'genesis_loop', 'genesis_do_loop' );

		// Add homepage widgets
		add_action( 'genesis_after_header', 'gigafood_homepage_ticker_widget' );
		add_action( 'genesis_loop', 'gigafood_homepage_widgets' );

	}
}

function gigafood_homepage_ticker_widget() {

		genesis_widget_area( 'home-ticker', array(
		'before'	=> '<div class="home-ticker widget-area">',
		'after'		=> '</div>',
	) );
}

function gigafood_homepage_widgets() {

		genesis_widget_area( 'home-tabs', array(
		'before'	=> '<div class="home-tabs widget-area">',
		'after'		=> '</div>',
	) );

		genesis_widget_area( 'home-slider', array(
		'before'	=> '<div class="home-slider widget-area">',
		'after'		=> '</div>',
	) );

		genesis_widget_area( 'home-top', array(
		'before'	=> '<div class="home-top widget-area">',
		'after'		=> '</div>',
	) );

	if ( is_active_sidebar( 'home-left' ) || is_active_sidebar( 'home-right' ) ) {

		echo '<div class="home-middle">';

		genesis_widget_area( 'home-left', array(
			'before'	=> '<div class="home-left widget-area">',
			'after'		=> '</div>',
		) );

		genesis_widget_area( 'home-right', array(
			'before'	=> '<div class="home-right widget-area">',
			'after'		=> '</div>',
		) );

		echo '</div>';

	}

}

genesis();