<?php
/**
 * This file adds the Widget template to the gigafood Theme.
 *
 * @author XtraPunch.com
 * @package gigafood
 * @subpackage Customizations
 */

/*
Template Name: Widget
*/

//* Add custom body class to the Widget Page
add_filter( 'body_class', 'gigafood_wp_add_body_class' );
function gigafood_wp_add_body_class( $classes ) {

	$classes[] = 'gigafood-widget';
	return $classes;
}

remove_action( 'genesis_loop', 'genesis_do_loop' );
add_action( 'genesis_loop', 'gigafood_page_loop_helper' );
/**
 * Add widget support for this page.
 * If no widgets active, display the default loop.
 *
 */
function gigafood_page_loop_helper() {

	if ( is_active_sidebar( 'widget-page' ) ) {

		dynamic_sidebar( 'widget-page' );
		
	}
	else {
		genesis_standard_loop();
	}
	
}

genesis();